javax.swing.plaf.basic

## Class BasicSliderUI.ActionScroller

- java.lang.Object
- - javax.swing.AbstractAction
  - - javax.swing.plaf.basic.BasicSliderUI.ActionScroller

All Implemented Interfaces:
  ActionListener, Serializable, Cloneable, EventListener, Action

Enclosing class:
  BasicSliderUI

    public class BasicSliderUI.ActionScroller
    extends AbstractAction

As of Java 2 platform v1.3 this undocumented class is no longer used. The recommended approach to creating bindings is to use a combination of an `ActionMap`, to contain the action, and an `InputMap` to contain the mapping from KeyStroke to action description. The InputMap is is usually described in the LookAndFeel tables.

Please refer to the key bindings specification for further details.

This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `Foo`.

### Field Summary

### Fields inherited from class javax.swing.AbstractAction

`changeSupport, enabled`

### Fields inherited from interface javax.swing.Action

`ACCELERATOR_KEY, ACTION_COMMAND_KEY, DEFAULT, DISPLAYED_MNEMONIC_INDEX_KEY, LARGE_ICON_KEY, LONG_DESCRIPTION, MNEMONIC_KEY, NAME, SELECTED_KEY, SHORT_DESCRIPTION, SMALL_ICON`

### Constructor Summary

Constructors
Constructor and Description
`ActionScroller(JSlider slider, int dir, boolean block)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `actionPerformed(ActionEvent e)` Invoked when an action occurs.
`boolean` `isEnabled()` Returns true if the action is enabled.

### Methods inherited from class javax.swing.AbstractAction

`addPropertyChangeListener, clone, firePropertyChange, getKeys, getPropertyChangeListeners, getValue, putValue, removePropertyChangeListener, setEnabled`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ActionScroller

    public ActionScroller(JSlider slider,
                          int dir,
                          boolean block)

### Method Detail

#### actionPerformed

    public void actionPerformed(ActionEvent e)

Description copied from interface: `ActionListener`
Invoked when an action occurs.

#### isEnabled

    public boolean isEnabled()

Description copied from class: `AbstractAction`
Returns true if the action is enabled.

Specified by:
  `isEnabled` in interface `Action`
Overrides:
  `isEnabled` in class `AbstractAction`
Returns:
  true if the action is enabled, false otherwise
See Also:
  `Action.isEnabled()`